Organization
View and administer your organization.
Update Organization
/organization
Update an Organization.
Requires a bearer access token for this API with the Organization.Write permission. See Authentication.
Request body
Responses
Response schema with result and metadata
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X PATCH "https://connect.cambrionix.com/api/v1/organization" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'
Get Organization
/organizations/{organizationId}
Get an organization by id. The id must be the caller's current organization.
Requires a bearer access token for this API with the Organization.Read permission. See Authentication.
Parameters
Path parameter
Responses
Response schema with result and metadata
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X GET "https://connect.cambrionix.com/api/v1/organizations/{organizationId}" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Update Organization
/organizations/{organizationId}
Update an Organization by id.
Requires a bearer access token for this API with the Organization.Write permission. See Authentication.
Parameters
Path parameter
Request body
Responses
Response schema with result and metadata
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X PATCH "https://connect.cambrionix.com/api/v1/organizations/{organizationId}" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'